CMSIS-Core (Cortex-A): Coprocessor Access Control Register (CPACR)

| CMSIS-Core (Cortex-A) Version 1.0.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Content | Data Structures | Functions
Coprocessor Access Control Register (CPACR)
Core Register Access

The CPACR controls access to coprocessors CP0 to CP13. More...

## Content
| CPACR Bits
| Bit position and mask macros.
| CPACR CP field values
| Valid values for CPACR CP field.

## Data Structures
struct | CPACR_Type
| Bit field declaration for CPACR layout. More...

## Functions
__STATIC_INLINE uint32_t | __get_CPACR (void)
| Get CPACR (Coprocessor Access Control Register) More...
__STATIC_INLINE void | __set_CPACR (uint32_t cpacr)
| Set CPACR (Coprocessor Access Control Register) More...

## Description

The CPACR characteristics are:

Bits | Name | Function
--- | --- | ---
[31] | ASEDIS | Disable Advanced SIMD functionality.
[30] | D32DIS | Disable use of D16-D31 of the Floating-point Extension register file.
[29] | - | Reserved.
[28] | TRCDIS | Disable CP14 access to trace registers.
[27:26] | CP13 | Access rights for coprocessor 13.
[25:24] | CP12 | Access rights for coprocessor 12.
[23:22] | CP11 | Access rights for coprocessor 11.
[21:20] | CP10 | Access rights for coprocessor 10.
[19:18] | CP9 | Access rights for coprocessor 9.
[17:16] | CP8 | Access rights for coprocessor 8.
[15:14] | CP7 | Access rights for coprocessor 7.
[13:12] | CP6 | Access rights for coprocessor 6.
[11:10] | CP5 | Access rights for coprocessor 5.
[9:8] | CP4 | Access rights for coprocessor 4.
[7:6] | CP3 | Access rights for coprocessor 3.
[5:4] | CP2 | Access rights for coprocessor 2.
[3:2] | CP1 | Access rights for coprocessor 1.
[1:0] | CP0 | Access rights for coprocessor 0.

Consider __get_CPACR and __set_CPACR to access this register.

## Function Documentation

__STATIC_INLINE uint32_t __get_CPACR | ( | void |  | ) |

Returns
  Coprocessor Access Control Register value

This function returns the current value of the Coprocessor Access Control Register (CPACR).

__STATIC_INLINE void __set_CPACR | ( | uint32_t | cpacr | ) |

Parameters

  [in] | cpacr | Coprocessor Access Control value to set

This function assigns the given value to the Coprocessor Access Control Register (CPACR).